Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#13762 closed defect (fixed)

SEVERE: Cannot add MapCss rule: Cannot add instruction title

Reported by: Klumbumbus Owned by: team
Priority: normal Milestone: 16.10
Component: Core validator Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. add Rules/GermanySpecific

What is the expected result?

What happens instead?

console prints

INFO: Adding https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1 to tag checker
Oct 06, 2016 1:02:39 AM org.openstreetmap.josm.Main error
SEVERE: Cannot add MapCss rule: Cannot add instruction title: Deutschlandspezifische Regeln!

Please provide any additional information below. Attach a screenshot if possible.

It seems the problem is the meta[lang=de] {...} part.
However the german name is correctly displayed in the preferences when josm was set to german when the rule was added. Also the rule works. It seems only the console output is wrong.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-10-05 01:26:43 +0200 (Wed, 05 Oct 2016)
Build-Date:2016-10-05 01:33:19
Revision:11079
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11079 en) Windows 7 32-Bit
Memory Usage: 247 MB / 870 MB (59 MB allocated, but free)
Java version: 1.8.0_102-b14, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,900m, -Djnlpx.splashport=54482, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (32699)
+ DirectDownload (32699)
+ DirectUpload (32699)
+ HouseNumberTaggingTool (32699)
+ Mapillary (v1.3.1)
+ OpeningHoursEditor (32699)
+ alignways (32921)
+ apache-commons (32699)
+ apache-http (32699)
+ buildings_tools (32944)
+ editgpx (32699)
+ imagery_offset_db (32796)
+ log4j (32699)
+ measurement (32936)
+ photo_geotagging (32699)
+ photoadjust (32863)
+ reverter (32796)
+ tag2link (32941)
+ tageditor (33021)
+ tagging-preset-tester (32869)
+ terracer (32699)
+ turnlanes-tagging (252)
+ turnrestrictions (32796)
+ undelete (32699)
+ utilsplugin2 (32815)
+ wikipedia (33017)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ D:\<user.name>\OSM\JOSMSVN\data\defaultpresets.xml
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip

Map paint styles:
+ D:\<user.name>\OSM\JOSMSVN\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- D:\<user.name>\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- D:\<user.name>\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- D:\<user.name>\OSM\patches\old MPs\dataquality.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- D:\<user.name>\OSM\eigene styles\Tourenplanung.mapcss
- D:\<user.name>\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- http://www.openrailwaymap.org/styles/standard.mapcss
- D:\<user.name>\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1

Validator rules:
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ D:\<user.name>\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- D:\<user.name>\OSM\TestNew\germ.validator.mapcss

Last errors/warnings:
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.mapillary.gui.MapillaryChangesetDialog$SubmitAction@f3fdd6
- W: Unable to get color from '' for color preference 'extrude.main.line'
- W: Unable to get color from '' for color preference 'improve.way.accuracy.helper.line'
- W: Unable to get color from '' for color preference 'make.parallel.helper.line'
- W: Unable to get color from '' for color preference 'extrude.main.line'
- W: Unable to get color from '' for color preference 'improve.way.accuracy.helper.line'
- W: Unable to get color from '' for color preference 'make.parallel.helper.line'
- E: Cannot add MapCss rule: Cannot add instruction title: Deutschlandspezifische Regeln!

Attachments (0)

Change History (4)

comment:1 Changed 3 years ago by Don-vip

Milestone: 16.09

comment:2 Changed 3 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 11083/josm:

fix #13762 - allow meta[lang=xx] in validator mapcss rules

comment:3 Changed 3 years ago by simon04

In 11084/josm:

see #13762 - Add non-regression unit test

comment:4 Changed 3 years ago by simon04

Milestone: 16.0916.10

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.